> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a list of Xperience-Hub app groups ## OpenAPI ````json GET /v{version}/AppGroups { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/AppGroups": { "get": { "tags": [ "AppGroups" ], "summary": "Get a list of Xperience-Hub app groups", "operationId": "AppGroups_GetList", "parameters": [ { "name": "includeArchived", "in": "query", "description": "If `true`, the archived app groups are included. Default: `false`.", "schema": { "type": "boolean" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.AppGroup" } } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.AppGroup": { "type": "object", "properties": { "AllowAppArchiving": { "type": "boolean", "description": "If `true`, the Xperience-Hub app group allows app archiving.\r\nDefault: `false`.", "example": false }, "AllowArchiving": { "type": "boolean", "description": "If `true`, the Xperience-Hub app group allows archiving.\r\nDefault: `false`.", "example": false }, "Created": { "type": "string", "description": "Creation date in UTC", "format": "date-time", "readOnly": true }, "Id": { "type": "integer", "description": "Unique ID of the Xperience-Hub app group", "format": "int32", "readOnly": true }, "IsArchived": { "type": "boolean", "description": "If `true`, the Xperience-Hub app group is archived.\r\nDefault: `false`.", "readOnly": true, "example": false }, "Modified": { "type": "string", "description": "Modification date in UTC", "format": "date-time", "readOnly": true }, "Name": { "type": "string", "description": "Name of the Xperience-Hub app group" }, "ParentId": { "type": "integer", "description": "Unique ID of the parent Xperience-Hub app group", "format": "int32" }, "Permissions": { "type": "object", "properties": { "Read": { "type": "boolean" }, "Write": { "type": "boolean" }, "Create": { "type": "boolean" }, "Delete": { "type": "boolean" } }, "description": "Permissions of the Xperience-Hub app group", "readOnly": true } }, "description": "Xperience-Hub app group" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Microsoft.AspNetCore.Mvc.ProblemDetails": { "type": "object", "properties": { "Detail": { "type": "string" }, "Instance": { "type": "string" }, "Status": { "type": "integer", "format": "int32" }, "Title": { "type": "string" }, "Type": { "type": "string" } }, "additionalProperties": { "type": "object" } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````